SELECT p.name as "Pokemon",
       tr.trainername as "Trainer",
       pt.pokelevel as "Level",
       ty.name as "Primary Type",
       ty2.name as "Secondary Type"
FROM pokemon.trainers tr
JOIN pokemon.pokemon_trainer pt
  ON pt.trainerID = tr.trainerID
JOIN pokemon.pokemons p
  ON p.id = pt.pokemon_id
JOIN pokemon.types ty
  ON p.primary_type = ty.id
JOIN pokemon.types ty2
  ON p.secondary_type = ty2.id
ORDER BY pt.pokelevel DESC, pt.hp DESC, pt.maxhp DESC;


#I ordered them by pokelevel, with the highest pokelevel being ranked highest and then down.
If there is a tie in pokelevel, they are sorted by hp, then by maxhp.